Bug 1405123 - Opteron_G4 CPU model broken in QEMU 2.6 with RHEL 6 machine type
Summary: Opteron_G4 CPU model broken in QEMU 2.6 with RHEL 6 machine type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On:
Blocks: 1408122 1408230
TreeView+ depends on / blocked
 
Reported: 2016-12-15 16:31 UTC by Paolo Bonzini
Modified: 2017-08-02 03:17 UTC (History)
11 users (show)

Fixed In Version: qemu-kvm-rhev-2.8.0-1.el7
Doc Type: Bug Fix
Doc Text:
Using "Opteron" CPU options with Red Hat Enterprise Linux (RHEL) 6 machine types caused the QEMU emulator to terminate unexpectedly due to a typographical error in one of device names. This update corrects the error so "Opteron" CPU options can be used with RHEL 6 machine types as expected.
Clone Of:
: 1408122 (view as bug list)
Environment:
Last Closed: 2017-08-01 23:42:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Paolo Bonzini 2016-12-15 16:31:54 UTC
Starting QEMU with "-cpu Opteron_G4" gives the following error:


Unexpected error in object_property_find() at qom/object.c:1003:
2016-12-15T13:58:43.140073Z qemu-kvm: can't apply global
Opteron_G4-x86_64-cpu.x1apic=off: Property '.x1apic' not found


This is due to a rebase typo.

Comment 2 Paolo Bonzini 2016-12-15 16:53:44 UTC
There is an imprecision in comment 0.  You need "-cpu Opteron_G4 -M rhel6.6.0" to trigger the bug.

Comment 4 Paolo Bonzini 2016-12-15 17:44:09 UTC
Proposing for z-stream because it's a regression that causes a crash on startup after upgrading from 7.2 to 7.3.  It's been already reported on CentOS by oVirt hosted engine users.  The fix is one line (one byte really), so it's safe.

Comment 6 Guo, Zhiyi 2017-01-05 09:09:14 UTC
Reproduce this issue against qemu-kvm-rhev-2.6.0-28.el7_3.2.x86_64.
qemu cmds used:
/usr/libexec/qemu-kvm -name rhel7.2 -m 2048 \
	-cpu Opteron_G4 -M rhel6.6.0 \
	-smp 4 \
	 -vga qxl\
	-spice port=3001,disable-ticketing \
        -device virtio-serial -chardev spicevmc,id=vdagent,debug=0,name=vdagent \
	-serial unix:/tmp/m,server,nowait \
        -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 \
	-drive file=rhel73,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0 -device scsi-hd,drive=drive-scsi-disk0,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk0,bootindex=1 \
	-monitor stdio \
Steps:
1.Install rhel7.3 guest use above cmd.

Results:
qemu core dump with:
(gdb) bt
#0  0x00007f812c26b1d7 in raise () from /lib64/libc.so.6
#1  0x00007f812c26c8c8 in abort () from /lib64/libc.so.6
#2  0x00007f8136e53484 in error_handle_fatal (errp=<optimized out>, 
    err=0x7f8139fa70b0) at util/error.c:38
#3  0x00007f8136e53986 in error_propagate (
    dst_errp=0x7f8137857dd8 <error_abort>, local_err=0x7f8139fa70b0)
    at util/error.c:267
#4  0x00007f8136cdeb19 in qdev_prop_set_globals_for_type (
    typename=0x7f8139fadd20 "Opteron_G4-x86_64-cpu", dev=0x7f813aa48000)
    at hw/core/qdev-properties.c:1091
#5  qdev_prop_set_globals (dev=0x7f813aa48000)
    at hw/core/qdev-properties.c:1105
#6  0x00007f8136db1eda in object_post_init_with_type (ti=0x7f813a03b480, 
    obj=0x7f813aa48000) at qom/object.c:346
#7  object_initialize_with_type (data=data@entry=0x7f813aa48000, size=76368, 
    type=type@entry=0x7f813a033900) at qom/object.c:371
#8  0x00007f8136db2071 in object_new_with_type (type=0x7f813a033900)
    at qom/object.c:478
#9  0x00007f8136db20e5 in object_new (
    typename=typename@entry=0x7f8139fadd20 "Opteron_G4-x86_64-cpu")
    at qom/object.c:488
#10 0x00007f8136c1082d in pc_new_cpu (
    typename=typename@entry=0x7f8139fadd20 "Opteron_G4-x86_64-cpu", apic_id=0, 
---Type <return> to continue, or q <return> to quit---
    errp=0x7f8137857dd0 <error_fatal>)
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc.c:1059
#11 0x00007f8136c1374e in pc_cpus_init (pcms=pcms@entry=0x7f813a08c000)
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc.c:1157
#12 0x00007f8136c15aad in pc_init1 (machine=0x7f813a08c000, 
    pci_type=0x7f8136e79960 "i440FX", 
    host_type=0x7f8136e79967 "i440FX-pcihost")
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc_piix.c:146
#13 0x00007f8136b88bc5 in main (argc=<optimized out>, argv=<optimized out>, 
    envp=<optimized out>) at vl.c:4552

Verify this bug against qemu-kvm-rhev-2.6.0-28.el7_3.3.x86_64, rhel7.3 guest can install and boot without error using same steps

Comment 9 Guo, Zhiyi 2017-04-23 12:51:58 UTC
Reproduce this issue against qemu-kvm-rhev-2.6.0-28.el7_3.2.x86_64.
qemu cmds used:
/usr/libexec/qemu-kvm -name rhel7.4 -m 2048 \
	-cpu Opteron_G4 -M rhel6.6.0 \
	-smp 4 \
	 -vga qxl\
	-spice port=3001,disable-ticketing \
        -device virtio-serial -chardev spicevmc,id=vdagent,debug=0,name=vdagent \
	-serial unix:/tmp/m,server,nowait \
        -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 \
	-drive file=rhel73,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0 -device scsi-hd,drive=drive-scsi-disk0,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk0,bootindex=1 \
	-monitor stdio \
Steps:
1.Install rhel7.4 guest use above cmd.

Results:
qemu core dump with:
(gdb) bt
#0  0x00007f050332b1f7 in raise () from /lib64/libc.so.6
#1  0x00007f050332c8e8 in abort () from /lib64/libc.so.6
#2  0x000055c8224e4144 in error_handle_fatal (errp=<optimized out>, 
    err=0x55c82454f410) at util/error.c:38
#3  0x000055c8224e4646 in error_propagate (
    dst_errp=0x55c822ee8d58 <error_abort>, local_err=0x55c82454f410)
    at util/error.c:267
#4  0x000055c82236f8f9 in qdev_prop_set_globals_for_type (
    typename=0x55c824569d60 "Opteron_G4-x86_64-cpu", 
    dev=0x55c824fbe000) at hw/core/qdev-properties.c:1091
#5  qdev_prop_set_globals (dev=0x55c824fbe000)
    at hw/core/qdev-properties.c:1105
#6  0x000055c822442b9a in object_post_init_with_type (
    ti=0x55c8245c3480, obj=0x55c824fbe000) at qom/object.c:346
#7  object_initialize_with_type (data=data@entry=0x55c824fbe000, 
    size=76368, type=type@entry=0x55c8245bf900) at qom/object.c:371
#8  0x000055c822442d31 in object_new_with_type (type=0x55c8245bf900)
    at qom/object.c:478
#9  0x000055c822442da5 in object_new (
    typename=typename@entry=0x55c824569d60 "Opteron_G4-x86_64-cpu")
    at qom/object.c:488
#10 0x000055c8222a161d in pc_new_cpu (
    typename=typename@entry=0x55c824569d60 "Opteron_G4-x86_64-cpu", 
    apic_id=0, errp=0x55c822ee8d50 <error_fatal>)
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc.c:1059
#11 0x000055c8222a453e in pc_cpus_init (pcms=pcms@entry=0x55c824618000)
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc.c:1157
#12 0x000055c8222a68ad in pc_init1 (machine=0x55c824618000, 
    pci_type=0x55c82250a5a0 "i440FX", 
    host_type=0x55c82250a5a7 "i440FX-pcihost")
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc_piix.c:146
#13 0x000055c822219af5 in main (argc=<optimized out>, 
    argv=<optimized out>, envp=<optimized out>) at vl.c:4552


Verify this bug against qemu-kvm-rhev-2.6.0-29.el7.x86_64, rhel7.4 guest can install and boot without error using same steps

Comment 10 Guo, Zhiyi 2017-04-23 12:54:09 UTC
(In reply to Guo, Zhiyi from comment #9)
Sorry, comment 9 is not correct, correct info is:

Reproduce this issue against qemu-kvm-rhev-2.6.0-29.el7.x86_64.
qemu cmds used:
/usr/libexec/qemu-kvm -name rhel7.4 -m 2048 \
	-cpu Opteron_G4 -M rhel6.6.0 \
	-smp 4 \
	 -vga qxl\
	-spice port=3001,disable-ticketing \
        -device virtio-serial -chardev spicevmc,id=vdagent,debug=0,name=vdagent \
	-serial unix:/tmp/m,server,nowait \
        -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 \
	-drive file=rhel73,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0 -device scsi-hd,drive=drive-scsi-disk0,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk0,bootindex=1 \
	-monitor stdio \
Steps:
1.Install rhel7.4 guest use above cmd.

Results:
qemu core dump with:
(gdb) bt
#0  0x00007f050332b1f7 in raise () from /lib64/libc.so.6
#1  0x00007f050332c8e8 in abort () from /lib64/libc.so.6
#2  0x000055c8224e4144 in error_handle_fatal (errp=<optimized out>, 
    err=0x55c82454f410) at util/error.c:38
#3  0x000055c8224e4646 in error_propagate (
    dst_errp=0x55c822ee8d58 <error_abort>, local_err=0x55c82454f410)
    at util/error.c:267
#4  0x000055c82236f8f9 in qdev_prop_set_globals_for_type (
    typename=0x55c824569d60 "Opteron_G4-x86_64-cpu", 
    dev=0x55c824fbe000) at hw/core/qdev-properties.c:1091
#5  qdev_prop_set_globals (dev=0x55c824fbe000)
    at hw/core/qdev-properties.c:1105
#6  0x000055c822442b9a in object_post_init_with_type (
    ti=0x55c8245c3480, obj=0x55c824fbe000) at qom/object.c:346
#7  object_initialize_with_type (data=data@entry=0x55c824fbe000, 
    size=76368, type=type@entry=0x55c8245bf900) at qom/object.c:371
#8  0x000055c822442d31 in object_new_with_type (type=0x55c8245bf900)
    at qom/object.c:478
#9  0x000055c822442da5 in object_new (
    typename=typename@entry=0x55c824569d60 "Opteron_G4-x86_64-cpu")
    at qom/object.c:488
#10 0x000055c8222a161d in pc_new_cpu (
    typename=typename@entry=0x55c824569d60 "Opteron_G4-x86_64-cpu", 
    apic_id=0, errp=0x55c822ee8d50 <error_fatal>)
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc.c:1059
#11 0x000055c8222a453e in pc_cpus_init (pcms=pcms@entry=0x55c824618000)
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc.c:1157
#12 0x000055c8222a68ad in pc_init1 (machine=0x55c824618000, 
    pci_type=0x55c82250a5a0 "i440FX", 
    host_type=0x55c82250a5a7 "i440FX-pcihost")
    at /usr/src/debug/qemu-2.6.0/hw/i386/pc_piix.c:146
#13 0x000055c822219af5 in main (argc=<optimized out>, 
    argv=<optimized out>, envp=<optimized out>) at vl.c:4552


Verify this bug against qemu-kvm-rhev-2.9.0-1.el7.x86_64, rhel7.4 guest can install and boot without error using same steps

Comment 13 errata-xmlrpc 2017-08-01 23:42:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 14 errata-xmlrpc 2017-08-02 01:19:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 15 errata-xmlrpc 2017-08-02 02:11:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 16 errata-xmlrpc 2017-08-02 02:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 17 errata-xmlrpc 2017-08-02 03:17:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.